Subject: Re: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 27 Feb 2012 16:15:50 +0100

Chong Yidong <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> To finish this thread, I would like to say I am not happy with the
>> last changes made to file-subdir-of-p by Chong Yidong without ANY
>> notifications.  Even after discussion about CL integration in Emacs,
>> it seem it is not for tomorrow.  i.e what is your problem with loop?
>
> Sorry, I would have brought it up in this thread except that I thought
> the discussion was over.
> I generally have no problem with Common Lisp, but I'm not sure we want
> to have loop macros in a core Emacs file yet.
Note that "(eval-when-compile (require 'cl))" is at start of files.el.

> Since that code was easily translatable from Loop into Lisp, I went
> ahead and did it.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997